package com.miaxis.score.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import lombok.Data;
/**
 * 模拟考成绩对象 score_info
 *
 * @author miaxis
 * @date 2021-08-23
 */
@Data
@TableName("score_info")
@ApiModel(value = "ScoreInfo", description = "模拟考成绩对象 score_info")
public class ScoreInfo extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    /** 用户ID */
    @Excel(name = "用户ID")
    @TableField("user_id")
    @ApiModelProperty(value = "用户ID")
    private Long userId;

    /** 考试车型 */
    @Excel(name = "考试车型")
    @TableField("type")
    @ApiModelProperty(value = "考试车型")
    private String type;

    /** 考试科目 */
    @Excel(name = "考试科目")
    @TableField("kskm")
    @ApiModelProperty(value = "考试科目")
    private String kskm;

    /** 分数 */
    @Excel(name = "分数")
    @TableField("score")
    @ApiModelProperty(value = "分数")
    private Long score;

    public void setId(Long id){
        this.id = id;
    }

    public Long getId(){
        return id;
    }
    public void setUserId(Long userId){
        this.userId = userId;
    }

    public Long getUserId(){
        return userId;
    }
    public void setType(String type){
        this.type = type;
    }

    public String getType(){
        return type;
    }
    public void setKskm(String kskm){
        this.kskm = kskm;
    }

    public String getKskm(){
        return kskm;
    }
    public void setScore(Long score){
        this.score = score;
    }

    public Long getScore(){
        return score;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userId", getUserId())
            .append("type", getType())
            .append("kskm", getKskm())
            .append("score", getScore())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
